%define debug 0
%define final 0
%define arts 1
%define origname kdemultimedia

Version: 3.3.1
Release: 0.PU_IAS.3.3
Epoch: 6
Name: kdemultimedia-extras
Prefix: /usr
Summary: Extras for KDE multimedia applications
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Url: http://www.kde.org

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{origname}-%{version}.tar.bz2

Patch1: kde-libtool.patch
Patch2: kdemultimedia-3.3.0-vorbis.patch

Prereq: /sbin/ldconfig
Requires: kdemultimedia >= 6:%{version}

Provides: %{origname}-mp3 = %epoch:%version-%release

BuildRequires: xorg-x11-devel
BuildRequires: kdebase-devel >= 6:%{version}
BuildRequires: taglib-devel libmad-devel 
BuildRequires: autoconf automake

BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: perl


%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. This package includes additional files which extend the
KDE multimedia applications, e.g. with mp3/MPEG playback.


%prep
%setup -q -n %{origname}-%{version}
%patch1 -p1
%patch2 -p1 -b .vorbis

perl -pi -e "s/-fomit-frame-pointer//g" admin/acinclude.m4.in
perl -pi -e "s,example,,g" mpeglib/Make*

make -f admin/Makefile.common cvs


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export KDEDIR=%{prefix}
export PATH=%{prefix}/bin:$PATH
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"

%if %{arts}
export CFLAGS="$CFLAGS `artsc-config --cflags`"
export CXXFLAGS="$CXXFLAGS `artsc-config --cflags`"
export CPPFLAGS="$CPPFLAGS `artsc-config --cflags`"
export LDFLAGS="$LDFLAGS `artsc-config --libs`"
%endif

%configure --with-qt-libraries=$QTDIR/lib \
           --disable-motif \
           --with-motif-includes=none \
           --with-motif-libraries=none \
           --disable-debug \
           --without-debug \
           --disable-cdparanoia \
%if %{arts} == 0
           --without-arts \
%endif
           --disable-rpath \
           --includedir=%{_includedir}/kde \
           --with-xinerama \
%if %{final}
           --enable-final \
%endif
           --disable-xaw

SMP_MFLAGS=%{?_smp_mflags}

make $SMP_MFLAGS -C mpeglib
make $SMP_MFLAGS -C mpeglib_artsplug
make $SMP_MFLAGS -C akode
make $SMP_MFLAGS -C kfile-plugins


%install
rm -rf $RPM_BUILD_ROOT

make -C mpeglib DESTDIR=$RPM_BUILD_ROOT install
make -C mpeglib_artsplug DESTDIR=$RPM_BUILD_ROOT install
make -C akode DESTDIR=$RPM_BUILD_ROOT install
make -C kfile-plugins DESTDIR=$RPM_BUILD_ROOT install

%if 0%{!?_without_cleanup:1}
rm -rf ${RPM_BUILD_ROOT}%{_includedir}
cd ${RPM_BUILD_ROOT}%{_libdir}/
ls *akode* mcop/*.mcop* | grep -vi 'mp3\|mpeg\|splay' | xargs rm -fv
cd -
cd ${RPM_BUILD_ROOT}%{_datadir}/services
ls | grep -vi 'mp3\|mpeg' | xargs rm -fv
cd -
cd ${RPM_BUILD_ROOT}%{_libdir}/kde3
ls | grep -vi 'mp3\|mpeg' | xargs rm -fv
cd -
%endif


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)

%{_bindir}/*mpeg*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_libdir}/mcop/*.mcop*
%{_datadir}/services/*


%changelog
* Tue Dec  7 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 6:3.3.1-0.lvn.3
- Don't build mpg123 plugin.

* Sun Dec  5 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 6:3.3.1-0.lvn.2
- Include a few more files.

* Sat Dec  4 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 6:3.3.1-0.lvn.1
- Create initial version based on a heavily stripped and modified
  kdemultimedia package from Fedora Core 3 (the previous changelog
  entry just for reference).

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to 3.3.1
